//--- commandmap
levelshots/UJE_horror_island_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_horror_island_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_horror_island_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_horror_island_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}

textures/UJE_horror_island/UJE_starfield_sky
{
	qer_editorimage textures/UJE_horror_island/sky/starfield_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 50 90 90
	q3map_surfacelight 50
	skyparms textures/UJE_horror_island/sky/starfield - -
}
textures/UJE_horror_island/water
{
	qer_editorimage textures/UJE_horror_island/water.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	cull disable
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/UJE_horror_island/water.jpg
		tcmod scale .8 .8
	        tcMod turb .3 .2 1 .05
	        tcMod scroll .04 .05
	}
}

textures/UJE_horror_island/uje_fog
{
	qer_editorimage textures/UJE_horror_island/fog.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	fogparms ( 0.00 0.0 0.0 ) 5120
}
textures/UJE_horror_island/uje_wood1
{
	surfaceparm woodsteps
	implicitMap -
}
textures/UJE_horror_island/uje_gras
{
	qer_editorimage textures/UJE_horror_island/graslang.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	cull none

	{
		map textures/UJE_horror_island/graslang.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/UJE_horror_island/uje_boom
{
	qer_editorimage textures/UJE_horror_island/boomlijn.tga
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none

	{
		map textures/UJE_horror_island/boomlijn.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/UJE_horror_island/uje_maan
{
	qer_editorimage textures/UJE_horror_island/uje_black.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes autoSprite
	q3map_surfacelight 50
	surfaceparm pointlight

	{
		map textures/UJE_horror_island/maan.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
	}
}
textures/UJE_horror_island/uje_glow
{
	qer_editorimage textures/UJE_horror_island/glow.tga
	deformVertexes autoSprite
	surfaceparm trans
	cull disable
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/UJE_horror_island/glow.tga
		blendfunc add
		rgbgen wave sin .95 .1 0 .5
	}
}
textures/UJE_horror_island/uje_light
{
	qer_editorimage textures/UJE_horror_island/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none

	{
		map textures/UJE_horror_island/light.tga
		tcmod scroll 0 .1
		blendFunc GL_one GL_one
	}
	{
		map textures/UJE_horror_island/light.tga
		tcmod scroll 0 -.1
		blendFunc GL_one GL_one
	}
}
//models
models/uje/dark_palm/palm_bark2
{
	cull twosided
	surfaceparm nomarks
	{
		map models/uje/dark_palm/palm_bark2.tga
		rgbGen identity
	}
}
models/uje/dark_palm/palm_leaves2
{
	nopicmip
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}
//the cave things
textures/UJE_horror_island/uje_water
{
	nocompress
	nopicmip
	qer_editorimage textures/UJE_horror_island/water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	deformVertexes wave 512 sin 0.5 0.5 0.75 0.2
	{
		fog on
		map textures/UJE_horror_island/water.tga
		blendFunc add
		tcGen vector ( 0.00045 0 0 ) ( 0 0.00045 0 )
		tcmod turb 0.04 0.02 0 0.05
	}
	{
		map textures/UJE_horror_island/water3.tga
		blendfunc add
//		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.2
		tcGen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
		alphaGen vertex
	}
}
// blinkende spullen
textures/UJE_horror_island/uje_blits1
{
	qer_editorimage textures/UJE_horror_island/blits2.tga
	nopicmip
	{
		rgbgen vertex
		blendfunc GL_ONE GL_ZERO
		tcgen environment
		tcmod scroll 0.005 0.001
		map textures/UJE_horror_island/blits2env.tga
	}
	{
		rgbgen identity
		blendfunc add
		map textures/UJE_horror_island/blits2.tga
	}
}
textures/UJE_horror_island/uje_blits5
{
	qer_editorimage textures/UJE_horror_island/blits2env.tga
	nopicmip
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 6
	{
		depthwrite
		rgbgen identity
		alphagen vertex
		alphafunc ge128
		blendfunc GL_ZERO GL_ONE
		map textures/UJE_horror_island/blitsalpha.tga		
	}
	{
		tcgen environment
		tcmod scroll 0.003 0.01
		rgbgen identity //vertex
		depthfunc equal
		blendfunc add
		map textures/UJE_horror_island/blits3env.tga
	}
}
textures/UJE_horror_island/uje_redblits2
{
	qer_editorimage textures/UJE_horror_island/blits2envred.tga
	nopicmip
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 6
	{
		depthwrite
		rgbgen identity
		alphagen vertex
		alphafunc ge128
		blendfunc GL_ZERO GL_ONE
		map textures/UJE_horror_island/blitsalpha.tga		
	}
	{
		tcgen environment
		tcmod scroll 0.003 0.01
		rgbgen identity //vertex
		depthfunc equal
		blendfunc add
		map textures/UJE_horror_island/blits3envred.tga
	}
}
textures/UJE_horror_island/uje_pilaar1
{
	qer_editorimage textures/UJE_horror_island/pilaar1.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_horror_island/pilaar1.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
//		rgbGen identity
		rgbgen const ( 0.1 0.05 0.05 )
	}
}
//druppel
textures/UJE_horror_island/bubbles2_8
{
	qer_editorimage textures/UJE_horror_island/bubbles2.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -9.112141 -36.627399 -616.117142 sawtooth 0 1 0.784623 0.218790
	{
		clampmap textures/UJE_horror_island/bubbles2.jpg
		tcMod rotate 24.587999
		AlphaGen wave sawtooth 1.000000 0.000000 0.784623 0.218790
		rgbGen wave sawtooth 1.000000 0.000000 0.784623 0.218790
		tcMod stretch sawtooth 0.000000 0.350276 0.784623 0.218790
		blendfunc add
	}
}
//dieren
textures/UJE_horror_island/uje_dier7
{
	qer_trans 0.85
	DeformVertexes autosprite2
	qer_editorimage textures/UJE_horror_island/dier7.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/UJE_horror_island/dier7.tga
}
textures/UJE_horror_island/uje_dier8
{
	qer_trans 0.85
	DeformVertexes autosprite2
	qer_editorimage textures/UJE_horror_island/dier8.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/UJE_horror_island/dier8.tga
}
textures/UJE_horror_island/waterval
{
	qer_editorimage textures/UJE_horror_island/water04.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_horror_island/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
}
textures/UJE_horror_island/waterval1
{
	qer_editorimage textures/UJE_horror_island/water04.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_horror_island/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 1.5
		alphaGen Vertex
	}
}
textures/UJE_horror_island/kaarsvlam1
{
	qer_editorimage textures/UJE_horror_island/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	q3map_bounce 1
	{
		clampmap textures/UJE_horror_island/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.17 0.5
		rgbGen wave sin 0.6 0.4 0.3 0.15
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.2 0.5 //0.09375 0.1 0.2 0.5 // sin 1 0.1 0.2 0.5
	}
}
textures/UJE_horror_island/kaarsvlam2
{
	qer_editorimage textures/UJE_horror_island/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	q3map_bounce 1
	{
		clampmap textures/UJE_horror_island/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.6 0.3
		rgbGen wave sin 0.6 0.4 0.17 0.4
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.6 0.5
	}
}
textures/UJE_horror_island/kaarsvlam3
{
	qer_editorimage textures/UJE_horror_island/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	q3map_bounce 1
	{
		clampmap textures/UJE_horror_island/kaarsvlam.tga
		rgbGen wave sin 0.6 0.4 0.3 0.6
		rgbGen wave sin 0.4 0.6 0.17 0.1
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}
// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/UJE_horror_island/uje_goud
{
	qer_editorimage textures/UJE_horror_island/goudplaat.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	q3map_bounce 1
	surfaceparm metalsteps //!
	{
		map textures/UJE_horror_island/goudplaat.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

textures/UJE_horror_island/uje_goud1
{
	qer_editorimage textures/UJE_horror_island/slangegoud.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	q3map_bounce 1
	surfaceparm metalsteps //!
	{
		map textures/UJE_horror_island/slangegoud.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
textures/UJE_horror_island/uje_goudgeld
{
	qer_editorimage textures/UJE_horror_island/goudgeld.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	q3map_bounce 1
	surfaceparm metalsteps //!
	{
		map textures/UJE_horror_island/goudgeld.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
textures/UJE_horror_island/uje_ghost
{
	qer_editorimage textures/UJE_horror_island/ghost.jpg
	qer_trans .40
	q3map_nonplanar
	q3map_nofog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm noimpact
	tessSize 8
	deformVertexes wave 3 sin 0 0.7 0 0.3
	deformVertexes wave 2 sin 0 1 0 1.5
	cull none
	sort nearest
	{
		map textures/UJE_horror_island/ghost.jpg
		blendFunc add
		rgbGen wave sin 0.7 1 0.5 0.04
	}
}
textures/UJE_horror_island/uje_ghost1
{
	qer_editorimage textures/UJE_horror_island/ghost1.jpg
	qer_trans .40
	q3map_nonplanar
	q3map_nofog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm noimpact
	tessSize 8
	deformVertexes wave 3 sin 0 0.7 0 0.3
	deformVertexes wave 2 sin 0 1 0 1.5
	cull none
	sort nearest
	{
		map textures/UJE_horror_island/ghost1.jpg
		blendFunc add
		rgbGen wave sin 0.7 1 0.5 0.04
	}
}
textures/UJE_horror_island/uje_ghost2
{
	qer_editorimage textures/UJE_horror_island/ghost2.jpg
	qer_trans .40
	q3map_nonplanar
	q3map_nofog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm noimpact
	tessSize 8
	deformVertexes wave 3 sin 0 0.7 0 0.3
	deformVertexes wave 2 sin 0 1 0 1.5
	cull none
	sort nearest
	{
		map textures/UJE_horror_island/ghost2.jpg
		blendFunc add
		rgbGen wave sin 0.7 1 0.5 0.04
	}
}
textures/UJE_horror_island/uje_ghost_ship
{
	qer_editorimage textures/UJE_horror_island/ghost_ship.jpg
	qer_trans .40
	q3map_nonplanar
	q3map_nofog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm noimpact
	tessSize 8
	deformVertexes wave 3 sin 0 0.7 0 0.3
	deformVertexes wave 2 sin 0 1 0 1.5
	cull none
	sort nearest
	{
		map textures/UJE_horror_island/ghost_ship.jpg
		blendFunc add
		rgbGen wave sin 0.7 1 0.5 0.04
	}
}
textures/UJE_horror_island/uje_splash_1
{
	qer_editorimage textures/UJE_horror_island/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/UJE_horror_island/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758 
	}
}

textures/UJE_horror_island/uje_splash_2
{
	qer_editorimage textures/UJE_horror_island/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 27.9806 0 14.5417 sawtooth 0 1 0 1.00822 
	{
		clampmap textures/UJE_horror_island/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.6 -0.6 0 1.00822 
	}
}

textures/UJE_horror_island/uje_splash_3
{
	qer_editorimage textures/UJE_horror_island/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/UJE_horror_island/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/UJE_horror_island/uje_splash_4
{
	qer_editorimage textures/UJE_horror_island/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 12.4378 0 31.5161 sawtooth 0 1 0 1.02932 
	{
		clampmap textures/UJE_horror_island/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.6 -0.6 0 1.02932 
	}
}

textures/UJE_horror_island/uje_splash_5
{
	qer_editorimage textures/UJE_horror_island/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -34.8016 0 9.76785 sawtooth 0 1 0 0.958803 
	{
		clampmap textures/UJE_horror_island/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.6 -0.6 0 0.958803 
	}
}
models/uje/dark_grass/BananaPlantTexture
{
	qer_alphafunc greater 0.5
	qer_editorimage models/uje/dark_grass/BananaPlantTexture.tga
	cull disable
	// distanceCull <inner> <outer> <alpha threshold>
	distanceCull 128 2048 0.49
	sort seethrough
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	{
		map models/uje/dark_grass/BananaPlantTexture.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}
models/mapobjects/nmtrees/st_joshua_leave
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/uje/dark_rock/rock
{
	qer_editorimage models/uje/dark_rock/rock.jpg
	implicitMap models/uje/dark_rock/rock.jpg
	q3map_clipModel
}
models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/uje/skeletons/skeleton

{
    cull disable
    surfaceparm alphashadow
        {
                map models/uje/Skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
models/mapobjects/skeletons/skeleton

{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
models/uje/skelcage/skelcage
{
	cull disable	
	{
		map models/uje/skelcage/skelcage.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/uje/skelcage/skel
{
    cull disable
        {
                map models/uje/skelcage/skel.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
models/uje/pirate_ship/uje_sail1
{
	qer_editorimage models/uje/pirate_ship/uje_sail1.jpg
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/uje/pirate_ship/uje_sail
{
	qer_editorimage models/uje/pirate_ship/uje_sail.jpg
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/uje/pirate_ship/uje_flag1
{
	qer_editorimage models/uje/pirate_ship/uje_flag1.tga
	cull disable
	deformVertexes wave 194 sin 0 3 0 .4
	implicitMap -
}
models/mapobjects/adam/u_statue
{
	qer_editorimage models/mapobjects/adam/u_statue.tga
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	q3map_bounce 3
	surfaceparm metalsteps //!
	{
		map models/mapobjects/adam/u_statue.tga
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
models/mapobjects/fountainhead/fountainspit1
{
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	{
		animmap 25 models/mapobjects/fountainhead/fountainspit1.jpg models/mapobjects/fountainhead/fountainspit2.jpg models/mapobjects/fountainhead/fountainspit3.jpg models/mapobjects/fountainhead/fountainspit4.jpg models/mapobjects/fountainhead/fountainspit5.jpg models/mapobjects/fountainhead/fountainspit4.jpg models/mapobjects/fountainhead/fountainspit3.jpg models/mapobjects/fountainhead/fountainspit2.jpg 
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.4
	}
}

models/mapobjects/fountainhead/fountainflow
{
	{
		map models/mapobjects/fountainhead/specular5.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/fountainhead/fountainflow.jpg
		blendfunc blend
		rgbGen lightingDiffuse
		tcMod scroll 0.1 0.4
	}
}
models/mapobjects/giant/giant2
{
	
	qer_editorimage models/mapobjects/giant/giant.tga
	q3map_bounce 1

	{
		map models/mapobjects/giant/giant.tga
		detail
		alphafunc GE128
		rgbGen identity
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/UJE_horror_island/spinneweb
{
	qer_editorimage textures/UJE_horror_island/spinneweb2.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
	{
		map textures/UJE_horror_island/spinneweb2.jpg
		blendfunc add
		rgbgen identity
	}
}
